# coding: utf-8
from __future__ import unicode_literals

from report_writer.impl.xlsx.report.writers.base import BaseReportWriter
from report_writer.impl.xlsx.utils.coordinates import get_coordinates


try:
    from typing import TYPE_CHECKING
except ImportError:
    TYPE_CHECKING = False

if TYPE_CHECKING:
    from typing import Any


class CellWriter(BaseReportWriter):
    """
    Писатель клетки отчёта.
    """
    def write(self,
              row,  # type: int
              col,  # type: int
              data  # type: Any
              ):  # type: (...) -> None
        self._report.worksheet[get_coordinates(row, col)].value = data
